Events API
List timeline events
List recorded events relevant to a resource in the current workspace.
GET
/v1/eventsRequest
Path, query, and JSON body fields accepted by this operation.
resourceType"appointment" | "patient" | "practitioner"requiredqueryresourceIdstring<uuid>requiredquerylimitintegerquerydefault 50min 1max 100
Response
Successful responses use Dawn's data envelope.
dataEventListrequiredidstring<uuid>requiredversion1requiredworkspaceIdstring<uuid>requiredmemberIdstring<uuid>requiredoccurredAtstring<date-time>requiredtype"appointment.created"requiredresourceType"appointment"requiredresourceIdstring<uuid>required
metaobject
Errors
Error responses use the shared error envelope.
403Scheduling is disabled for appointment timelines.422The event query is invalid.503Timeline events are temporarily unavailable.
Last updated on